#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct IllegalBinCountRequested {
    #[serde(rename = "requestedBinCount")]
    requested_bin_count: i32,
}
impl IllegalBinCountRequested {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(requested_bin_count: i32) -> Self {
        Self::builder().requested_bin_count(requested_bin_count).build()
    }
    #[inline]
    pub fn requested_bin_count(&self) -> i32 {
        self.requested_bin_count
    }
}
impl conjure_error::ErrorType for IllegalBinCountRequested {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Scout:IllegalBinCountRequested"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["requestedBinCount"]
    }
}
